# Uses of Class
com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer

Packages that use LocalDateTimeDeserializer
Package
Description
com.fasterxml.jackson.datatype.jsr310.deser

## Uses of LocalDateTimeDeserializer in com.fasterxml.jackson.datatype.jsr310.deser

Fields in com.fasterxml.jackson.datatype.jsr310.deser declared as LocalDateTimeDeserializer
Modifier and Type
Field
Description
`static final LocalDateTimeDeserializer`
LocalDateTimeDeserializer.`INSTANCE`
Methods in com.fasterxml.jackson.datatype.jsr310.deser that return LocalDateTimeDeserializer
Modifier and Type
Method
Description
`protected LocalDateTimeDeserializer`
LocalDateTimeDeserializer.`withDateFormat(DateTimeFormatter formatter)`
`protected LocalDateTimeDeserializer`
LocalDateTimeDeserializer.`withLeniency(Boolean leniency)`
`protected LocalDateTimeDeserializer`
LocalDateTimeDeserializer.`withShape(com.fasterxml.jackson.annotation.JsonFormat.Shape shape)`
Constructors in com.fasterxml.jackson.datatype.jsr310.deser with parameters of type LocalDateTimeDeserializer
Modifier
Constructor
Description
`protected`
`LocalDateTimeDeserializer(LocalDateTimeDeserializer base, Boolean leniency)`
Since 2.10